"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useChatMessage_unstable", {
    enumerable: true,
    get: function() {
        return useChatMessage_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _getDecorationIcon = require("../utils/getDecorationIcon");
const _useChatMessagePopoverTrigger = require("../utils/useChatMessagePopoverTrigger");
const useChatMessage_unstable = (props, ref)=>{
    const { attached, author, avatar, body, decoration, decorationIcon, decorationLabel, details, persistentTimestamp, reactions, root, showAnimation, timestamp } = props;
    /**
   * Splits the native props into ones that go to the `root` slot, and ones that go to the primary slot.
   * The primary slot is the `body` slot in this case.
   */ const nativeProps = (0, _reactcomponents.getPartitionedNativeProps)({
        primarySlotTagName: 'div',
        props,
        excludedPropNames: [
            'tabIndex'
        ]
    });
    const groupperAttributes = (0, _reactcomponents.useFocusableGroup)({
        tabBehavior: 'limited-trap-focus'
    });
    const state = {
        attached,
        decoration,
        persistentTimestamp,
        showAnimation,
        body: _reactcomponents.slot.always(body, {
            defaultProps: {
                ref,
                ...groupperAttributes,
                ...nativeProps.primary,
                tabIndex: 0
            },
            elementType: 'div'
        }),
        root: _reactcomponents.slot.always(root, {
            defaultProps: nativeProps.root,
            elementType: 'div'
        }),
        author: _reactcomponents.slot.optional(author, {
            elementType: 'div'
        }),
        avatar: attached && attached !== 'top' ? undefined : _reactcomponents.slot.optional(avatar, {
            elementType: 'div'
        }),
        decorationIcon: _reactcomponents.slot.optional(decorationIcon, {
            elementType: 'div',
            defaultProps: {
                children: (0, _getDecorationIcon.getDecorationIcon)(decoration)
            },
            renderByDefault: !!decoration
        }),
        decorationLabel: _reactcomponents.slot.optional(decorationLabel, {
            elementType: 'div'
        }),
        details: _reactcomponents.slot.optional(details, {
            elementType: 'div'
        }),
        reactions: _reactcomponents.slot.optional(reactions, {
            elementType: 'div'
        }),
        timestamp: _reactcomponents.slot.optional(timestamp, {
            elementType: 'span'
        }),
        components: {
            author: 'div',
            avatar: 'div',
            body: 'div',
            decorationIcon: 'div',
            decorationLabel: 'div',
            details: 'div',
            reactions: 'div',
            root: 'div',
            timestamp: 'span'
        }
    };
    (0, _useChatMessagePopoverTrigger.useChatMessagePopoverTrigger)(state);
    return state;
};

//# sourceMappingURL=useChatMessage.js.map