"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useChatMyMessage_unstable", {
    enumerable: true,
    get: function() {
        return useChatMyMessage_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reacticons = require("@fluentui/react-icons");
const _getDecorationIcon = require("../utils/getDecorationIcon");
const _useChatMessagePopoverTrigger = require("../utils/useChatMessagePopoverTrigger");
const useChatMyMessage_unstable = (props, ref)=>{
    const { actions, attached, author, body, decoration, decorationIcon, decorationLabel, details, reactions, root, showAnimation, status, statusIcon, statusMessage, timestamp } = props;
    /**
   * Splits the native props into ones that go to the `root` slot, and ones that go to the primary slot.
   * The primary slot is the `body` slot in this case.
   */ const nativeProps = (0, _reactcomponents.getPartitionedNativeProps)({
        primarySlotTagName: 'div',
        props,
        excludedPropNames: [
            'tabIndex'
        ]
    });
    const groupperAttributes = (0, _reactcomponents.useFocusableGroup)({
        tabBehavior: 'limited-trap-focus'
    });
    const state = {
        attached,
        decoration,
        showAnimation,
        status,
        body: _reactcomponents.slot.always(body, {
            defaultProps: {
                ref,
                ...groupperAttributes,
                ...nativeProps.primary,
                tabIndex: 0
            },
            elementType: 'div'
        }),
        root: _reactcomponents.slot.always(root, {
            defaultProps: nativeProps.root,
            elementType: 'div'
        }),
        actions: _reactcomponents.slot.optional(actions, {
            elementType: 'div'
        }),
        author: _reactcomponents.slot.optional(author, {
            elementType: 'div'
        }),
        decorationIcon: _reactcomponents.slot.optional(decorationIcon, {
            elementType: 'div',
            defaultProps: {
                children: (0, _getDecorationIcon.getDecorationIcon)(decoration)
            },
            renderByDefault: !!decoration
        }),
        decorationLabel: _reactcomponents.slot.optional(decorationLabel, {
            elementType: 'div'
        }),
        details: _reactcomponents.slot.optional(details, {
            elementType: 'div'
        }),
        reactions: _reactcomponents.slot.optional(reactions, {
            elementType: 'div'
        }),
        statusIcon: _reactcomponents.slot.optional(statusIcon, {
            elementType: 'div',
            defaultProps: {
                children: getStatusIcon(status)
            },
            renderByDefault: !!status
        }),
        statusMessage: _reactcomponents.slot.optional(statusMessage, {
            elementType: 'div'
        }),
        timestamp: _reactcomponents.slot.optional(timestamp, {
            elementType: 'span'
        }),
        components: {
            actions: 'div',
            author: 'div',
            body: 'div',
            decorationIcon: 'div',
            decorationLabel: 'div',
            details: 'div',
            reactions: 'div',
            root: 'div',
            statusIcon: 'div',
            statusMessage: 'div',
            timestamp: 'span'
        }
    };
    (0, _useChatMessagePopoverTrigger.useChatMessagePopoverTrigger)(state);
    return state;
};
const getStatusIcon = (status)=>{
    switch(status){
        case 'sending':
            return /*#__PURE__*/ _react.createElement(_reacticons.Circle16Regular, null);
        case 'received':
            return /*#__PURE__*/ _react.createElement(_reacticons.CheckmarkCircle16Regular, null);
        case 'read':
            return /*#__PURE__*/ _react.createElement(_reacticons.Eye16Filled, null);
        case 'failed':
            return /*#__PURE__*/ _react.createElement(_reacticons.Warning16Filled, null);
        case 'blocked':
            return /*#__PURE__*/ _react.createElement(_reacticons.Flag16Filled, null);
        case 'scheduled':
            return /*#__PURE__*/ _react.createElement(_reacticons.Clock16Regular, null);
    }
};

//# sourceMappingURL=useChatMyMessage.js.map