import { createFocusOutlineStyle, shorthands, tokens } from '@fluentui/react-components';
/*
 * This file has styles mixins shared by all chat message components
 */ /** apply focus outline and font styles to chat message */ const bodyBaseStyles = {
    position: 'relative',
    ...createFocusOutlineStyle(),
    fontFamily: tokens.fontFamilyBase,
    fontWeight: tokens.fontWeightRegular,
    fontSize: tokens.fontSizeBase300,
    lineHeight: tokens.lineHeightBase300,
    color: tokens.colorNeutralForeground1,
    wordBreak: 'break-word'
};
const isOnlyReadableByScreenReaderStyles = {
    clip: 'rect(0px, 0px, 0px, 0px)',
    height: '1px',
    ...shorthands.margin('-1px'),
    ...shorthands.overflow('hidden'),
    ...shorthands.padding('0px'),
    width: '1px',
    position: 'absolute'
};
const statusRedStyles = {
    color: tokens.colorPaletteRedForeground3
};
/** apply styles to container of reaction buttons */ const reactionsBaseStyles = {
    position: 'relative',
    height: '0px',
    display: 'flex'
};
/**
 * highlight message by background color and stroke color
 */ const highlightAnimation = {
    animationIterationCount: '1',
    animationDuration: '4s',
    animationTimingFunction: 'ease-out',
    animationName: {
        from: {
            backgroundColor: tokens.colorPaletteMarigoldBackground1,
            boxShadow: `inset 0 0 0 0.1rem ${tokens.colorPaletteDarkOrangeBorderActive}`
        },
        to: {
            boxShadow: `inset 0 0 0 0.1rem transparent`
        }
    }
};
export { bodyBaseStyles, isOnlyReadableByScreenReaderStyles, statusRedStyles, reactionsBaseStyles, highlightAnimation };

//# sourceMappingURL=shared.mixins.js.map