import type * as React from 'react';
import type { ChatProps, ChatState } from './Chat.types';
/**
 * Create the state required to render Chat.
 *
 * The returned state can be modified with hooks such as useChatStyles_unstable,
 * before being passed to renderChat_unstable.
 *
 * @param props - props from this instance of Chat
 * @param ref - reference to root HTMLElement of Chat
 */
export declare const useChat_unstable: (props: ChatProps, ref: React.Ref<HTMLDivElement>) => ChatState;
