import * as React from 'react';
import type { ChatMessageProps, ChatMessageState } from './ChatMessage.types';
/**
 * Create the state required to render ChatMessage.
 *
 * The returned state can be modified with hooks such as useChatMessageStyles_unstable,
 * before being passed to renderChatMessage_unstable.
 *
 * @param props - props from this instance of ChatMessage
 * @param ref - reference to root HTMLElement of ChatMessage
 */
export declare const useChatMessage_unstable: (props: ChatMessageProps, ref: React.Ref<HTMLDivElement>) => ChatMessageState;
